%CBD, modified by introduction of Hill-like energy dependence

close all; clear; clc;

global k1 Ke n deg_x1;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Rate constants
k1 = 0.01;   %pTET

%half-saturation coefficient for "Energy" Hill-function
Ke = 20; 

%positive co-operativity coefficient
n=2; 

%Degradation Term in min-1

% deg_GFP = 0.029 hrs-1; 
deg_x1 = 0.0005;

% Initial Energy in System (initial conc. of nutrient medium)
Eo = 10; 

%Defining Time Span (in min?)
tmax = 10000;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Sending all these parameters to ODE solver
[t,x] = ode23('CBD_EnergyODE',[0 tmax],[0; Eo]);
  
%Plot effect on GFP expression = output
 
%[FP] vs Time
figure(1);
plot(t,x(:,1));
xlabel('time');
ylabel('[FP] (a.u.)');
title('[FP] vs Time');
axis([0 tmax 0 max(x(:,1))]);

%[E] vs Time
figure(2);
plot(t,x(:,2));
xlabel('time');
ylabel('[E] (a.u.)');
title('[E] vs Time');
axis([0 tmax 0 max(x(:,2))]);
  



